- APIs
- Stacks Blockchain API
- Run Faucet BTC
Get BTC regtest tokens
Add 0.01 BTC token to the specified regtest BTC address.
POST
Parameters
Query Parameters
address
string A valid regtest BTC address
large
boolean Request a large amount of regtest BTC than the default
xlarge
boolean Request an extra large amount of regtest BTC than the default
Body
application/jsonany
| Status code | Description |
|---|---|
| 200 | POST request that initiates a transfer of tokens to a specified Bitcoin regtest address |
| 4XX | Default Response |
cURL
curl -L -X POST \"https://api.hiro.so/extended/v1/faucets/btc?address=2N4M94S1ZPt8HfxydXzL2P7qyzgVq7MHWts&large={large}&xlarge={xlarge}" \-H 'Accept: application/json'
Response
{"success": false,"txid": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef","raw_tx": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"}